<? $this->headLink()->appendStylesheet(_st('private/photos.css')) ?>
<script type="text/javascript" src="/js/highslide/highslide.js"></script>
<link href="/js/highslide/highslide.css" media="screen" rel="stylesheet" type="text/css" />

<script type="text/javascript">
window.addEvent('domready', function () {
	var initDeleteBtn = function(btn) {
		btn.addEvent('click', function(e){
			e.stop();

			this.getParent('div').getNext('div').destroy();
			this.getParent('div').destroy();
		});
	};
	
	var initUploader = function() {
		var cont = $$('.files .clear')[2];

		$$('.files .file a.btn-add').addEvent('click', function(e){
			e.stop();

			var count = $$('.files .file').length;

			var div = new Element('div', {
				'class': 'file'
			}).inject(cont, 'after');

			new Element('div', {
				'class': 'clear'
			}).inject(div, 'after');

			var input = new Element('input', {
				type: 'file',
				name: 'uphoto_' + (count + 1)
			}).inject(div);

			var a = new Element('a', {
				'class': 'btn-delete',
				href: '#'
			}).inject(input, 'after');

			initDeleteBtn(a);
		});
	};

	initUploader();
});
</script>

<? $this->headTitle($this->t('my_photos'), 'PREPEND') ?>

<style type="text/css">
	.wrapper { overflow: hidden; width: 231px; height: 130px; position: relative }
	.wrapper img { position: absolute; left: 0; top: 0; z-index: 1 }
	.wrapper .actions { position: absolute; right: 3px; bottom: 3px; z-index: 2 }
	.wrapper span { display: block; float: left; padding: 0px; cursor: pointer; width: 15px; height: 14px; margin-left: 10px }
	.wrapper span.check { background: #ff3300; border: 1px solid #e60000 }
	.wrapper span.move { background: #fff url('<?= _st('_/icon_move-tiny.gif') ?>') no-repeat 50% 50%; border: 1px solid #cccccc }
	.photos li { position: relative; overflow: visible }
	.photos li span.hard { display: block; width: 73px; height: 35px; background: url('<?= _st('_/sticker_hard.png') ?>'); position: absolute; top: -4px; right: -4px; z-index: 10 }

	.swiff-uploader-box a {
		display: none !important;
	}

	a:hover, a.hover {
		color: red;
	}

	.status {
		padding: 10px 15px;
		width: 420px;
		border: 1px solid #eee;
	}

	.status .progress {
		background: url(<?= _st('fancy/progress-bar/progress.gif') ?>) no-repeat;
		background-position: +50% 0;
		margin-right: 0.5em;
		vertical-align: middle;
	}

	.status .progress-text {
		font-size: 0.9em;
		font-weight: bold;
	}

	.list { position: static !important; margin-top: 15px !important;  }
	.list li {
		float: none !important;
		border: 1px solid #eee;
		margin: 2px 0px;
		text-align:left !important;
	}

	.list li.file .file-name {
		float: left;
		font-size: 12px;
		font-weight: bold;
	}
	.list li.file .file-size {
		float: right;
	}

	.list li.file .file-remove {
		float: right;
		margin-left: 6px;
	}

	.list li.file-failed .file-info {
		color: red;
		margin-top: 2px;
	}
	.list li.file-failed .file-name {
		float: left;
		font-size: 12px;
		font-weight: bold;
	}
	.list li.file-failed .file-size {
		float: right;
	}

	.list li.file-failed .file-remove {
		float: right;
		margin-left: 6px;
	}

	.list li.file-failed .file-info {
		color: red;
		margin-top: 2px;
	}
</style>

<style type="text/css">
	.files {}

	.files input { margin: 5px 0; }
	.files span.err { color: red; padding-left: 10px; }

	.files .file input { float: left; padding: 3px; }
	.files .file a.btn-add { float: left; display: block; height: 16px; width: 16px; margin-left: 5px; background: url('/img/add.png') no-repeat top left; margin-top: 10px; }
	.files .file a.btn-delete { float: left; display: block; height: 16px; width: 16px; margin-left: 5px; background: url('/img/delete.png') no-repeat top left; margin-top: 10px; }
	.err-list { margin-top: 10px; font-size: 15px; background: #fee; border: 1px solid #edd; padding: 6px 10px; line-height: 26px }
	.err-list.action {margin-left: 4px; margin-bottom: 5px}
	.err-title {font-weight: bold; padding-left: 20px; background: url('/img/internal/icon_error.png') no-repeat 0 50%;}
</style>

<div id="top-bar">
	<div id="btn-bar" class="no-border" >
		<a class="btn-small fleft" href="<?= $this->getLink('private-v2-agency-profile') ?>">
			<span class="icon-back"><?= __('back') ?></span>
		</a>
	</div><? /*  btn-bar  */ ?>
	<div class="clear"></div>
</div>
<div class="gray-box form">
	<fieldset>
		<legend><?= __('pv2_section_photos') ?></legend>
		<div class="body" id="photos">
			<div class="section">
				<h3><?= __('pv2_title_agency_photos', array('AGENCYNAME' => $this->agency->name)) ?></h3>
				<div class="container">
					<div class="photos">
						<form id="form-public" action="<?= $this->getLink('private-v2-agency-plain-photos') ?>" method="post" enctype="multipart/form-data" onsubmit="Navigation.overlay.disable()">
							<div class="files">
								<div class="file">
									<input type="file" name="uphoto_1" />
								</div>
								<div class="clear"></div>
								<div class="file">
									<input type="file" name="uphoto_2" />
								</div>
								<div class="clear"></div>
								<div class="file">
									<input type="file" name="uphoto_3" />
									<a class="btn-add" href="#"></a>
								</div>
								<div class="clear"></div>

								<br/>
								
								<button type="submit" name="upload" value="upload"><img src="<?= _st($this->lang() . '_btn_upload.gif') ?>" alt="Upload" /></button>
							</div>
							
							<? if ( isset($this->uploadError) || count($this->uploadErrors) ): ?>
								<div class="err-list">
									<div class="err-title"><?= __('sys_error_upload_img_occured') ?></div>
									<? if ( isset($this->uploadError) ): ?><div class="up-error"><?= $this->uploadError ?></div><? endif; ?>
									<? if ( count($this->uploadErrors) ): ?>
										<? foreach ( $this->uploadErrors as $error ): ?>
											<div class="up-error"><?= $error ?></div>
										<? endforeach; ?>
									<? endif; ?>
								</div>
							<? endif; ?>
							
							<div style="padding: 20px 0 ">
								<? if ( count($this->photos) ): ?>
									<? $m = new Cubix_Images(); ?>
									<ul>
										<? foreach ( $this->photos as $photo ): ?>
											<li>
												<div class="wrapper" cubix:photo-id="<?= $photo['id'] ?>">
													<a href="<?= $m->getPathWithSize($photo['image_url'], 'orig') ?>" class="highslide"  onclick="return hs.expand(this);">
														<img alt="" src="<?= $m->getPathWithSize($photo['image_url'], 'agency_photo_thumb') ?>" />
													</a>

													<div class="actions">
														<span class="check"><input type="checkbox" name="photo_id[]" value="<?= $photo['id'] ?>" /></span>
													</div>
												</div>
											</li>
										<? endforeach; ?>
									</ul>
									<div class="clear"></div>
								<? else: ?>
									<div style="font-size: 18px; font-weight: bold; text-align: center; padding: 60px 0"><?= __('no_any_agency_photos') ?></div>
								<? endif ?>
							</div>

							<? if ( count($this->photos) ): ?>
								<? if ( isset($this->actionError) ): ?>
									<div class="err-list action">
										<div class="up-error"><?= $this->actionError ?></div>
									</div>
								<? endif; ?>

								<button type="submit" name="delete" value="delete"><img src="<?= _st('_/btn_remove-small_' . $this->lang() . '.gif') ?>" alt="Remove" /></button>
							<? endif ?>
						</form>
					</div><? /*  photos  */ ?>
				</div><? /*  container  */ ?>
			</div><? /*  section  */ ?>
		</div>
	</fieldset>
</div>
